version: '3.8'
services:
  ctop:
    image: docker.internal:5000/ctop:latest
    read_only: true
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
    environment:
      - USERNAME=admin
      - PASSWORD=admin
    ports:
      - 7681:7681
    deploy:
      labels:
        - shepherd.enable=true
        - shepherd.auth.config=local
      replicas: 1
      placement:
        max_replicas_per_node: 1
